Bug 1015670 - Proxy should chcon the kernel and initrd after download if SElinux is enforcing
Proxy should chcon the kernel and initrd after download if SElinux is enforcing
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Sam Kottler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 15:32 EDT by Sam Kottler
Modified: 2014-06-18 04:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 08:16:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Kottler 2013-10-04 15:32:48 EDT
Description of problem:

The proxy doesn't currently properly set the context of the kernel/initrd when downloaded into the tftp root. When selinux is enforcing, the proxy should run chcon -R -t tftpdir_rw_t $TFTPROOT/{vmlinux,initrd}.

Note You need to log in before you can comment on or make changes to this bug.